one-entities-get-one¶
Source¶
Repository:
jef-systems/jef-one-backendSource Run ID:
25256246879Source SHA:
944e655286e0c87c6e611453ffc46df43159a83dModule:
oneDocumentation Scope:
getLambda:
jef-one-get-3
Endpoint¶
API Name:
jef-oneAction Name:
getMethod:
GETScope Label:
GETResource Path:
/one-entities-get-oneComplete Endpoint:
https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entities-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-get-3curl payload mode:
query_string
API Gateway Description¶
Function: jef-one-get-3
API Name: jef-one
Action: get
Method: GET
Resource Path: /one-entities-get-one
Table:
- table: jef-one-entities
- operation: get-one
Payload Schema:
- pk: entity_number
Payload Example:
- pk: 1001
Response Schema:
- exists: boolean
- message: string
- item: {"entity_number":"string","name":"string","business_name":"string","tin":"string","address":"string","is_active":"boolean","created_at":"string","updated_at":"string"}
Request Payload¶
{
"pk": "entity_number"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"entity_number\":\"string\",\"name\":\"string\",\"business_name\":\"string\",\"tin\":\"string\",\"address\":\"string\",\"is_active\":\"boolean\",\"created_at\":\"string\",\"updated_at\":\"string\"}"
}
CMD curl¶
curl "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entities-get-one?pk=1001"
PowerShell curl¶
curl.exe "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entities-get-one?pk=1001"